Issue 47269

Summary: Title of report does not persist
Product: Base Reporter: Frank Schönheit <frank.schoenheit>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, kamataki
Version: 680m92   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
document to reproduce the bug case none

Description Frank Schönheit 2005-04-12 16:16:44 UTC
- open the attached database document
- start the report wizard
- on the first page, add all fields from the only table in the DB
- proceed to the last page with "Next", keeping all settings default
- finish the wizard
=> the report is automatically opened for data display
=> the report title is empty. During the preview while the wizard was running,
it was not
   empty.
Comment 1 Frank Schönheit 2005-04-12 16:18:05 UTC
Created attachment 24986 [details]
document to reproduce the bug case
Comment 2 berend.cornelius 2005-05-09 11:24:10 UTC
BC->OS: To give you a hint, how I set the title I add some code fragments of the
reportwizard

		XDocumentInfoSupplier xDocInfoSuppl = (XDocumentInfoSupplier)
UnoRuntime.queryInterface(XDocumentInfoSupplier.class, xTextDocument);
		xDocInfo = xDocInfoSuppl.getDocumentInfo();

....

    public void updateReportTitle(com.sun.star.awt.XTextComponent xTitleTextBox){
		String TitleName = xTitleTextBox.getText();
		Helper.setUnoPropertyValue(xDocInfo, "Title", TitleName);
    }

As we discussed-> to you
Comment 3 Oliver Specht 2005-05-10 14:53:34 UTC
XDocumentInfoSupplier is an sfx implementation
Comment 4 Mathias_Bauer 2005-05-23 14:49:20 UTC
We already have too much issues for the next micro release -> set to "Later".
Comment 5 Mathias_Bauer 2006-06-16 12:15:06 UTC
Andreas, another "title" problem that should be investigated
Comment 6 andreas.schluens 2007-01-02 10:37:03 UTC
.
Comment 7 berend.cornelius 2007-12-31 13:14:58 UTC
The name of the textfield was automatically changed to "title_renamed_2". As
this is beyond my control I send the bug to OS.
Comment 8 berend.cornelius 2007-12-31 13:28:43 UTC
bc->fs: Please decide within which target this is to be fixed. Please not that
there is a similar issue: Issue i40951 "Report Wizard: Tablename in Section of
template is not correctly imported".
Comment 9 berend.cornelius 2007-12-31 14:13:21 UTC
*** Issue 82743 has been marked as a duplicate of this issue. ***
Comment 10 berend.cornelius 2007-12-31 15:02:12 UTC
*** Issue 59204 has been marked as a duplicate of this issue. ***
Comment 11 Frank Schönheit 2008-01-02 09:06:29 UTC
Since 2.x is kind of banned, I try moving it to 2.4 :) (the other alternative
would be 3.0).

Resetting ownership to AS, who previously already accepted the issue. Andreas,
do you have a chance looking into this in your brand-new titles CWS?
Comment 12 andreas.schluens 2008-01-09 10:53:53 UTC
as: Because title cws wont come into 2.4 I've set the target for this issue
accordingly.
Comment 13 andreas.schluens 2008-03-17 14:59:31 UTC
as->tm:  please verify on cws "titles02". THX.
Comment 14 andreas.schluens 2008-03-17 15:33:33 UTC
.
Comment 15 thorsten.martens 2008-04-03 10:24:07 UTC
Checked and verified in cws titles02 -> OK !
Comment 16 drewjensen.inbox 2008-05-13 23:26:41 UTC
*** Issue 89340 has been marked as a duplicate of this issue. ***
Comment 17 drewjensen.inbox 2008-08-05 17:48:13 UTC
Checked w/ DEV300 m_29, XP

Per the original requests description this issue is not fixed.
In the wizard, on the last page, the Title is displayed in the report as
'Default', which IMO, leads the user to think this will pick up the name of the
report as the default title.

After finishing (saving the report ) the title field is now BLANK.

To add a title to the report one must open the report in edit mode, select
File>Properties, manually add someting to the Title field and save it again.
This 'Title' data is persisted.

If what I described is the intended fix that was put in then close it...but I
doubt it was what the request was actually asking for.
Comment 18 Frank Schönheit 2008-08-05 22:07:03 UTC
re-opening. This is in fact not fixed.
Comment 19 Frank Schönheit 2008-08-05 22:07:39 UTC
back to responsible developer
Comment 20 lars.langhans 2008-09-29 14:08:34 UTC
Retarget to 3.x

Comment 21 Frank Schönheit 2009-01-26 11:21:27 UTC
targeting to "OOo Later". Given that Sun Report Builder is the preferred
reporting tool in OOo Base now, we won't, for the moment, invest resources into
fixing issues with the "old-style" reports.